Subject: Re: bug#59603: 28.1.90; `ucs-normalize-string' fails to work

From: Ihor Radchenko <[email-masked]>
Date: Sat, 26 Nov 2022 10:16:12 +0000

Eli Zaretskii <[email-masked]> writes:

>> I do see that uppercase symbol names may not always refer to the
>> arguments, but don't `str' fit better into the conventions? It is the
>> symbol to be used in the macro, after all.
>> Or do I miss something?
>
> How else do you suggest to indicate in the doc string that the macro
> operates on a variable named 'str'?  Using `str' is much more confusing,
> IMO.

We clearly disagree here. `str' would be more clear for me. Or
explicitly saying that `str' symbol value is used.

In any case, this is a very minor concern. I mostly tried to find if I
am missing something in my understanding of documentation conventions. I
have no strong feelings about this particular change.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>